## vapoursynth-beziercurve-dmo 3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-libgcc -static-libstdc++")
set(PROJECT_NAME VapourSynth-BezierCurve)

project(${PROJECT_NAME})

include_directories("C:/Program Files (x86)/VapourSynth/sdk/include/vapoursynth")
include_directories(VapourSynth-BezierCurve)

link_directories("C:/Program Files (x86)/VapourSynth/sdk/lib32")
link_directories("C:/Program Files (x86)/VapourSynth/sdk/lib64")

add_library(${PROJECT_NAME} SHARED
        VapourSynth-BezierCurve/BezierCurve.cpp
        VapourSynth-BezierCurve/BezierCurve.h
        VapourSynth-BezierCurve/CubicBezierCurve.cpp
        VapourSynth-BezierCurve/QuadraticBezierCurve.cpp
        VapourSynth-BezierCurve/VapourSynth-BezierCurve.cpp)

=== debian/changelog ===
vapoursynth-beziercurve-dmo (3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Dec 2019 00:57:17 +0100

vapoursynth-beziercurve-dmo (2-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Mar 2019 11:11:23 +0200

=== debian/control ===
Source: vapoursynth-beziercurve-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/kewenyu/VapourSynth-BezierCurve
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12), vapoursynth-dev, meson

Package: vapoursynth-beziercurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
Description: bézier curve plugin for vapoursynth.
 A plugin which adjust the clip via bezier curve.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smeson

override_dh_installdocs:
	dh_installdocs README.md

=== debian/watch ===
version=4

https://github.com/kewenyu/VapourSynth-BezierCurve/releases \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@
